## vde2 2.3.2

=== examples/webserver-ipv6-vde/Makefile ===
CONTIKI_PROJECT=webserver6
all: $(CONTIKI_PROJECT) $(WITH_WEBSERVER)

ifeq ($(WITH_WEBSERVER),)
#
#Set default webserver for different platforms
#Although Makefile.include sets the default target, we need to know it now.
#
ifeq ($(TARGET),)
  -include Makefile.target
endif
ifeq ($(TARGET),sky)
SMALL=1
WITH_WEBSERVER=webserver-nano
else ifeq ($(TARGET),avr-raven)
WITH_WEBSERVER=raven-webserver
endif
#
endif

ifneq ($(WITH_WEBSERVER),)
APPS = $(WITH_WEBSERVER)
ifeq ($(WITH_WEBSERVER),raven-webserver)
APPS+=raven-lcd-interface
endif
#copy output to e.g. webserver-nano.sky, raven-webserver.avr-raven
$(WITH_WEBSERVER) : $(CONTIKI_PROJECT)
	cp $(CONTIKI_PROJECT).$(TARGET) $(WITH_WEBSERVER).$(TARGET)
	@if (test -n "$(ELF_SIZE)");then $(ELF_SIZE) $(WITH_WEBSERVER).$(TARGET);fi
else
APPS=webserver

all : $(CONTIKI_PROJECT)
	@if (test -n "$(ELF_SIZE)");then $(ELF_SIZE) $(CONTIKI_PROJECT).$(TARGET);fi	
endif

UIP_CONF_IPV6=1
DEFINES=WITH_UIP6
CONTIKI = ../..
include $(CONTIKI)/Makefile.include

=== examples/webserver-vde/Makefile ===
CONTIKI_PROJECT = webserver-example
all: $(CONTIKI_PROJECT)

APPS = webserver

# The webserver application normally contains a built-in file system and support
# for server-side includes.
#
# This webserver example supports building the alternative webserver application
# which serves files from an cfs file system. To build the alternative webserver
# run make with the parameter HTTPD-CFS=1.

ifeq ($(HTTPD-CFS),1)
  override webserver_src = webserver-nogui.c http-strings.c psock.c memb.c \
                           httpd-cfs.c urlconv.c
endif

CONTIKI = ../..
include $(CONTIKI)/Makefile.include

# Intentionally httpd.c and httpd-cfs.c implement the same interface. When
# switching from one webserver alternative to the other with an existent
# Contiki library then both files end up in the library making the linker
# use whichever it finds first :-(
#
# The most straightforward way to make sure this doesn't happen is to delete
# the Contiki library. But it would be undesirable to do that on every build
# so the existence of the "wrong" object file is used to detect a switch and
# trigger deletion of the Contiki library - and the trigger file of course.

ifeq ($(HTTPD-CFS),1)
  ifneq (${wildcard $(OBJECTDIR)/httpd.o},)
  DUMMY := ${shell rm -f contiki-$(TARGET).a $(OBJECTDIR)/httpd.o}
  endif
else
  ifneq (${wildcard $(OBJECTDIR)/httpd-cfs.o},)
  DUMMY := ${shell rm -f contiki-$(TARGET).a $(OBJECTDIR)/httpd-cfs.o}
  endif
endif

## vde2 2.3.2%2Br586

=== debian/control ===
Source: vde2
Section: net
Priority: optional
Maintainer: Debian VSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Ludovico Gardenghi <garden@debian.org>, Guido Trotter <ultrotter@debian.org>, Filippo Giunchedi <filippo@debian.org>, Luca Bigliardi <shammash@artha.org>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper (>= 10), libssl-dev, libpcap0.8-dev, cdbs, libvdeplug-dev
Homepage: http://vde.sourceforge.net
Vcs-Git: https://salsa.debian.org/virtualsquare-team/vde2.git
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/vde2
Standards-Version: 4.4.1

Package: vde2
Section: net
Architecture: any
Depends: adduser, vdeplug, vde-wirefilter, vde-switch, ${shlibs:Depends}, ${misc:Depends}
Suggests: vde2-cryptcab, qemu-system
Replaces: vde
Description: Virtual Distributed Ethernet
 VDE is a virtual switch that can connect multiple virtual machines together,
 both local and remote.
 .
 Components of the VDE architecture are VDE switches (virtual counterpart of
 ethernet switches) and VDE cables (virtual counterpart of a crossed-cable used
 to connect two switches).
 .
 VDE 2 includes:
  - switch management both from console and from a "unix socket terminal"
  - VLAN 801.1q
  - FSTP (fast spanning tree)
  - distributed cable manager using a blowfish encrypted channel
 .
 Examples of VDE uses:
  - With VDE it is possible to create a virtual network of QEMU machines
    running on several real computer
  - VDE can be used to create tunnels (even crossing masqueraded networks)
  - VDE can provide mobility support
 .
 The VDE also provides bi-directional pipe command (dpipe) and remote terminal
 for unix sockets (unixterm).
 .
 The Debian package provides a nice extension for /etc/network/interfaces file
 for easy set up.

Package: vde-switch
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${lib:Depends}
Breaks: vde2 (<< 2.3.2+r586-3)
Replaces: vde2 (<< 2.3.2+r586-3)
Description: Virtual Distributed Ethernet. Virtual Switch command.
 VDE is a virtual switch that can connect multiple virtual machines together,
 both local and remote.
 .
 Components of the VDE architecture are VDE switches (virtual counterpart of
 ethernet switches) and VDE cables (virtual counterpart of a crossed-cable used
 to connect two switches).
 .
 This package contains vde_switch, the vde virtual switch

Package: vde-wirefilter
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${lib:Depends}
Breaks: vde2 (<< 2.3.2+r586-3)
Replaces: vde2 (<< 2.3.2+r586-3)
Description: Virtual Distributed Ethernet. wirefilter command.
 VDE is a virtual switch that can connect multiple virtual machines together,
 both local and remote.
 .
 Components of the VDE architecture are VDE switches (virtual counterpart of
 ethernet switches) and VDE cables (virtual counterpart of a crossed-cable used
 to connect two switches).
 .
 This package contains wirefilter to emulate delays and packet loss on virtual
 wires

Package: vde2-cryptcab
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Virtual Distributed Ethernet - CryptCab
 VDE is a virtual switch that can connect multiple virtual machines together,
 both local and remote.
 .
 Components of the VDE architecture are VDE switches (virtual counterpart of
 ethernet switches) and VDE cables (virtual counterpart of a crossed-cable used
 to connect two switches).
 .
 This package contains CryptCab, which can be used to send encrypted data
 over an UDP link.

Package: libvde-dev
Section: libdevel
Architecture: any
Depends: libvde0 (= ${binary:Version}), ${misc:Depends}
Conflicts: libvdemgmt0-dev (<= 2.2.2-3)
Replaces: libvdemgmt0-dev
Description: Virtual Distributed Ethernet - support libraries development files
 VDE is a virtual switch that can connect multiple virtual machines together,
 both local and remote.
 .
 Components of the VDE architecture are VDE switches (virtual counterpart of
 ethernet switches) and VDE cables (virtual counterpart of a crossed-cable used
 to connect two switches).
 .
 This package contains the development files for libvde

Package: libvde0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libvdemgmt0 (<= 2.2.2-3)
Replaces: libvdemgmt0
Description: Virtual Distributed Ethernet - support libraries
 VDE is a virtual switch that can connect multiple virtual machines together,
 both local and remote.
 .
 Components of the VDE architecture are VDE switches (virtual counterpart of
 ethernet switches) and VDE cables (virtual counterpart of a crossed-cable used
 to connect two switches).
 .
 This package contains a library to interact with vde_switch management console
 using pre-made unattended scripts.

## vde2 2.3.2+r586

=== debian/changelog ===
vde2 (2.3.2+r586-12) unstable; urgency=medium

  * fix ftbfs gcc-15 Closes: #1098058

 -- Renzo Davoli <renzo@cs.unibo.it>  Fri, 26 Sep 2025 19:11:51 +0200

vde2 (2.3.2+r586-11) unstable; urgency=medium

  * Team upload
  * wirefilter: fix ftbfs bug (implicit type in function arg).  Closes: #1075616

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 27 Jul 2024 16:05:23 +0200

vde2 (2.3.2+r586-10) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * Don't hard code dependencies on shared libraries.

  [ Michael Hudson-Doyle ]
  * Undefine _FILE_OFFSET_BITS and _TIME_BITS in libvdetap.c so the library's
    interposition of open/open64 still works.  Closes: #1065951

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Replace dependency on transitional package libpcap-dev
      with replacement libpcap0.8-dev.
    + libvde-dev: Drop Replaces on removed package vde2 (<< 2.3.2-1).
    + libvde-dev: Drop Breaks on removed package vde2 (<< 2.3.2-1).

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 15 Apr 2024 06:36:38 +0200

vde2 (2.3.2+r586-9.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007644)

 -- Bastian Germann <bage@debian.org>  Sun, 18 Feb 2024 15:44:40 +0000

vde2 (2.3.2+r586-9) unstable; urgency=medium

  * Team upload.
  * Add link to upstream sources in d/copyright.  Closes: #1051059

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 22 Sep 2023 10:47:43 +0200

vde2 (2.3.2+r586-8) unstable; urgency=medium

  * do not generate vdeplug, libvdeplug* packages (Closes: #1000798)
    vdeplug4 provides new versions of these packages

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 04 Dec 2021 16:21:27 +0100

vde2 (2.3.2+r586-7) unstable; urgency=medium

  * d/control: Fix Breaks and Replaces again (Closes: #971972)

 -- Andrea Capriotti <capriott@debian.org>  Thu, 15 Oct 2020 22:08:26 +0200

vde2 (2.3.2+r586-6) unstable; urgency=medium

  * d/control: Fix missing Breaks and Replaces (Closes: #971972)
  * d/control: Suggest qemu-system instead of qemu (Closes: #966255)
  * d/control: Fix short description (Closes: #972002)

 -- Andrea Capriotti <capriott@debian.org>  Tue, 13 Oct 2020 14:09:22 +0200

vde2 (2.3.2+r586-5) unstable; urgency=medium

  * d/copyright: Fix missing copyright attributions (Closes: #962492)

 -- Andrea Capriotti <capriott@debian.org>  Fri, 17 Jul 2020 19:16:24 +0200

vde2 (2.3.2+r586-4) unstable; urgency=medium

  * Bump debhelper's compat level to 10.  (Closes: #965872)
  * Bump Standards-Version to 4.4.1.
  * Add Andrea Capriotti as Uploader.
  * Add Vcs-Git and Vcs-Browser.

 -- Andrea Capriotti <capriott@debian.org>  Sun, 29 Dec 2019 15:57:07 +0100

vde2 (2.3.2+r586-3) unstable; urgency=medium

  * Split binary packages for vdeplug4 migration.
    vdeplug4 is going to provide a new codebase for vde_plug and dpipe,
    a complete rewrite of vde_switch and wirefilter is ongoing.
    The new tools are backwards compatible with vde2.
    A splitting of the binary packages is needed so that the tools
    can be upgraded one by one.  Packages with the same name, higher
    version, will override those provided by vde2. In the new codebase
    each tool is provided by a different upstream repository.
    More info on the new vde architecture: https://frama.link/-ckvuxxq

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 23 Nov 2019 10:50:59 +0100

vde2 (2.3.2+r586-2.2) unstable; urgency=medium

  * Maintainers' mailing list address updated (Closes: 899726)

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 05 Jan 2019 15:44:02 +0100

vde2 (2.3.2+r586-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with OpenSSL 1.1, patch by Sebastian Andrzej Siewior (Closes:
    #836419).
  * Add explicit debian/source/format.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 10 Dec 2016 20:23:13 +0500

vde2 (2.3.2+r586-2) unstable; urgency=medium

  * Really fix FTBFS on hurd-any (previous patch applied to configure, but
    since 2.3.2+r586-1 we also started running autoreconf during build).
    Thanks again Gabriele! (Closes: #745430)

 -- Ludovico Gardenghi <garden@debian.org>  Sun, 02 Nov 2014 14:26:07 +0100

vde2 (2.3.2+r586-1) unstable; urgency=medium

  * No new upstream version, packaging latest SVN revision.
  * Accept all NMU patches. Thank you Hector!
  * Fix segfault due to race condition in hash.c. Thank you Bas van Sisseren
    <bas@quarantainenet.nl> for the patch! (Closes: #764476) 
  * Fix vdeterm not correctly restoring terminal when exiting on error. Thank
    you Serge Hallyn <serge.hallyn@ubuntu.com> for the patch!
    (Closes: #682759)
  * Fix FTBFS on hurd-any. Thanks Gabriele Giacone <1o5g4r8o@gmail.com> for
    the patch! (Closes: #745430)

 -- Ludovico Gardenghi <garden@debian.org>  Sun, 12 Oct 2014 23:32:56 +0200

vde2 (2.3.2-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on kfreebsd, regression due to autoreconf run.

 -- Hector Oron <zumbi@debian.org>  Thu, 18 Sep 2014 15:50:13 +0000

vde2 (2.3.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on new arches:
    - d/control: depend on dh-autoreconf
    - d/rules: add autoreconf cdbs rule.
    (Closes: #735390)

 -- Hector Oron <zumbi@debian.org>  Wed, 17 Sep 2014 17:55:25 +0000

vde2 (2.3.2-4) unstable; urgency=high

  * Add missing Depends on libvde0 in package libvde-dev

 -- Ludovico Gardenghi <garden@debian.org>  Sat, 04 Feb 2012 15:56:58 +0100

vde2 (2.3.2-3) unstable; urgency=high

  * Add Provides: libvdeplug2-dev to libvdeplug-dev entry, to help smoother
    transitions to testing (Closes: #658082)

 -- Ludovico Gardenghi <garden@debian.org>  Tue, 31 Jan 2012 11:49:52 +0100

vde2 (2.3.2-2) unstable; urgency=low

  * Add patch debian/patches/compile_with_kfreebsd.patch: allow compilation
    with kFreeBSD (as for FreeBSD, this removes almost all TUN/TAP support)
    - Move TUN/TAP specific files out of *.install files and install them with


=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_CONFIGURE_EXTRA_FLAGS = --enable-experimental --disable-python

DEB_DH_GENCONTROL_ARGS_ALL = -- \
	-Vlib:Depends=$(shell dpkg-query -W -f '$${Depends}' libvdeplug-dev \
			| sed -E 's/.*(libvdeplug[[:alnum:].-]+).*/\1/')

# TUN/TAP is almost unsupported on kFreeBSD, so install the corresponding files
# only on Linux.
binary-install/vde2::
	if test "x`uname -s`" = "xLinux"; then \
		dh_install -pvde2 debian/tmp/usr/sbin/vde_tunctl; \
		dh_install -pvde2 debian/tmp/usr/lib/vde2/libvdetap.so; \
		dh_install -pvde2 debian/tmp/usr/lib/vde2/vdetap; \
		dh_installman -pvde2 debian/tmp/usr/share/man/man8/vde_tunctl.8; \
		dh_installman -pvde2 debian/tmp/usr/share/man/man1/vdetaplib.1; \
	fi

binary-install/libvde-dev::
	if test "x`uname -o`" = "xGNU/Linux"; then \
		dh_install -plibvde-dev debian/tmp/usr/lib/vde2/libvdetap.a; \
	fi

install/vde2::
	install -D -m 0755 debian/network/if-pre-up.d/vde2 debian/vde2/etc/network/if-pre-up.d/vde2
	install -D -m 0755 debian/network/if-post-down.d/vde2 debian/vde2/etc/network/if-post-down.d/vde2

=== debian/watch ===
version=3
http://sf.net/vde/vde2-(.*)\.tar\.gz

## vde2 2.3.2+r586-8

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian VSquare Team <virtualsquare@cs.unibo.it>
 Uploaders: Ludovico Gardenghi <garden@debian.org>, Guido Trotter <ultrotter@debian.org>, Filippo Giunchedi <filippo@debian.org>, Luca Bigliardi <shammash@artha.org>, Andrea Capriotti <capriott@debian.org>
-Build-Depends: debhelper (>= 10), libssl-dev, libpcap0.8-dev, cdbs, libvdeplug-dev
+Build-Depends: debhelper (>= 10), libssl-dev, libpcap-dev, cdbs, quilt, libvdeplug-dev
 Homepage: http://vde.sourceforge.net
 Vcs-Git: https://salsa.debian.org/virtualsquare-team/vde2.git
 Vcs-Browser: https://salsa.debian.org/virtualsquare-team/vde2
@@ -13,7 +13,7 @@
 Section: net
 Architecture: any
 Depends: adduser, vdeplug, vde-wirefilter, vde-switch, ${shlibs:Depends}, ${misc:Depends}
-Suggests: vde2-cryptcab, qemu-system
+Suggests: vde2-cryptcab, libpcap0.8, qemu-system
 Replaces: vde
 Description: Virtual Distributed Ethernet
  VDE is a virtual switch that can connect multiple virtual machines together,
@@ -44,7 +44,7 @@
 Package: vde-switch
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${lib:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libvdeplug2
 Breaks: vde2 (<< 2.3.2+r586-3)
 Replaces: vde2 (<< 2.3.2+r586-3)
 Description: Virtual Distributed Ethernet. Virtual Switch command.
@@ -60,7 +60,7 @@
 Package: vde-wirefilter
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${lib:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libvdeplug2
 Breaks: vde2 (<< 2.3.2+r586-3)
 Replaces: vde2 (<< 2.3.2+r586-3)
 Description: Virtual Distributed Ethernet. wirefilter command.
@@ -94,7 +94,8 @@
 Architecture: any
 Depends: libvde0 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libvdemgmt0-dev (<= 2.2.2-3)
-Replaces: libvdemgmt0-dev
+Replaces: libvdemgmt0-dev, vde2 (<< 2.3.2-1)
+Breaks: vde2 (<< 2.3.2-1)
 Description: Virtual Distributed Ethernet - support libraries development files
  VDE is a virtual switch that can connect multiple virtual machines together,
  both local and remote.

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,10 @@
 include /usr/share/cdbs/1/rules/buildcore.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/autoreconf.mk
 
 DEB_CONFIGURE_EXTRA_FLAGS = --enable-experimental --disable-python
-
-DEB_DH_GENCONTROL_ARGS_ALL = -- \
-	-Vlib:Depends=$(shell dpkg-query -W -f '$${Depends}' libvdeplug-dev \
-			| sed -E 's/.*(libvdeplug[[:alnum:].-]+).*/\1/')
 
 # TUN/TAP is almost unsupported on kFreeBSD, so install the corresponding files
 # only on Linux.
